Skip to main content
GET
/
workflows
List Workflows
curl --request GET \
  --url https://api.example.com/workflows \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "Fix Build",
      "slug": "fix_build",
      "filename": "fix_build.fabro",
      "last_run": {
        "ran_at": "2025-09-15T12:00:00Z"
      },
      "schedule": {
        "expression": "0 */6 * * *",
        "next_run": "2025-09-15T18:00:00Z"
      }
    }
  ],
  "meta": {
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by fabro-web. See the Authentication guide for details.

Query Parameters

page[limit]
integer
default:20

Maximum number of items to return per page.

Required range: 1 <= x <= 100
page[offset]
integer
default:0

Number of items to skip before returning results.

Required range: x >= 0

Response

200 - application/json

Paginated list of workflows

Paginated list of workflows.

data
object[]
required
meta
object
required

Pagination metadata included in every paginated response.